Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QIODeviceSource Class Reference
[obsolete]

The QIODeviceSource class is a QDataSource that draws data from a QIODevice. More...

`#include <qasyncio.h>`

Inherits QDataSource.

List of all member functions.

## Public Members

- QIODeviceSource ( QIODevice * device, int buffer_size = 4096 )
- ~QIODeviceSource ()
- virtual int readyToSend ()
- virtual void sendTo ( QDataSink * sink, int n )
- virtual bool rewindable () const
- virtual void enableRewind ( bool on )
- virtual void rewind ()

## Detailed Description

This class is obsolete. It is provided to keep old source working. We strongly advise against using it in new code.

The QIODeviceSource class is a QDataSource that draws data from a QIODevice.

This class encapsulates retrieving data from a QIODevice (such as a QFile).

## Member Function Documentation

### QIODeviceSource::QIODeviceSource ( QIODevice * device, int buffer_size = 4096 )

Constructs a QIODeviceSource from the QIODevice device. The QIODevice must be dynamically allocated, becomes owned by the QIODeviceSource, and will be deleted when the QIODeviceSource is destroyed. buffer_size determines the size of buffering to use between asynchronous operations. The higher the buffer_size, the more efficient, but the less interleaved the operation will be with other processing.

### QIODeviceSource::~QIODeviceSource ()

Destroys the QIODeviceSource, deleting the QIODevice from which it was constructed.

### void QIODeviceSource::enableRewind ( bool on )`[virtual]`

If on is set to TRUE then rewinding is enabled. No special action is taken. If on is set to FALSE then rewinding is disabled.

Reimplemented from QDataSource.

### int QIODeviceSource::readyToSend ()`[virtual]`

Ready until end-of-file.

Reimplemented from QDataSource.

### void QIODeviceSource::rewind ()`[virtual]`

Calls reset() on the QIODevice.

Reimplemented from QDataSource.

### bool QIODeviceSource::rewindable () const`[virtual]`

All QIODeviceSource's are rewindable.

Reimplemented from QDataSource.

### void QIODeviceSource::sendTo ( QDataSink * sink, int n )`[virtual]`

Reads a block of data and sends up to n bytes to the sink.

Reimplemented from QDataSource.

This file is part of the Qt toolkit. Copyright © 1995-2007 Trolltech. All Rights Reserved.